"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
function Checkbox({ isChecked, setChecked, styles = {}, }) {
    const defaultStyles = {
        width: 21,
        height: 21,
        borderColor: "#2d4935",
        borderWidth: 1,
        borderRadius: 2,
        activeBackgroundColor: "#2d4935",
        inactiveBackgroundColor: "#fff",
        fillPercentage: 80,
    };
    const mergedStyles = { ...defaultStyles, ...styles };
    const intern_styles = react_native_1.StyleSheet.create({
        checkbox: {
            width: mergedStyles.width,
            height: mergedStyles.height,
            borderColor: mergedStyles.borderColor,
            borderWidth: mergedStyles.borderWidth,
            justifyContent: "center",
            alignItems: "center",
            borderRadius: mergedStyles.borderRadius,
            backgroundColor: mergedStyles.inactiveBackgroundColor,
        },
        checkedCheckbox: {
            width: `${mergedStyles.fillPercentage}%`,
            height: `${mergedStyles.fillPercentage}%`,
            backgroundColor: mergedStyles.activeBackgroundColor,
        },
    });
    return (<react_native_1.TouchableOpacity style={intern_styles.checkbox} onPress={() => setChecked(!isChecked)}>
			{isChecked && <react_native_1.View style={intern_styles.checkedCheckbox}/>}
		</react_native_1.TouchableOpacity>);
}
exports.default = Checkbox;
